package bunyan.api;

import bunyan.blocks.RenderManager;
import java.util.Random;
import net.minecraft.server.Entity;
import net.minecraft.server.World;

public abstract class TurnableLog extends DirectionalBlock implements ITurnable
{
    protected TurnableLog(int var1, int var2)
    {
        super(var1, var2, LOG.material);
        this.a(e);
        this.c(LOG.m());
        this.b(LOG.a((Entity)null) * 5.0F);
        this.j();
        setBurnProperties(var1, blockFireSpreadSpeed[LOG.id], blockFlammability[LOG.id]);
    }

    public boolean canSustainLeaves(World var1, int var2, int var3, int var4)
    {
        return true;
    }

    /**
     * The type of render function that is called for this block
     */
    public int c()
    {
        return RenderManager.getRenderID();
    }

    /**
     * Returns the ID of the items to drop on destruction.
     */
    public abstract int getDropType(int var1, Random var2, int var3);

    public boolean isWood(World var1, int var2, int var3, int var4)
    {
        return true;
    }
}
